Forum OpenACS Q&A: Re: Generic installation scripts

Collapse
Posted by Gustaf Neumann on
Thank you very much for your feedback!

Concerning the message about "Unknown driver: nssock_v4" in the error.log: This happens when naviserver 4.99.11 (which introduced IPv6 support, and the names "nssock_v4" and "nssock_v6" in the sample config file) is used together with the tar release of OpenACS 5.9.0, which predates NaviServer 4.99.11.

More recent versions of OpenACS [1] don't expect anymore, that an instance of the nssock driver must have exactly the name "nssock". NaviServer can listen on multiple interfaces at the same time by loading the driver multiple times under different names.... this is, what the sample config file for IPv4 and IPv6 does, using the addresses with the _v4 and _v6 suffixes.

-g

http://openacs.org/api-doc/proc-view?proc=util_driver_info&source_p=1